//
//  Controller.m
//  Evolution
//
//  Created by Ivo Npflin.
//  Copyright (c) 2004 evolution.naepflin.com. Some rights reserved.
//

#import "Controller.h"
#import "TableController.h"
#import "Simulation.h"
#import "HTMLExport.h"

@implementation Controller

- (IBAction)Start:(id)sender
{
	[mySimulation stoppen:self];
	[Prozessanzeige startAnimation:self];
	
	[NSThread detachNewThreadSelector: @selector(starten:) toTarget: mySimulation withObject: nil];
}

- (IBAction)Stop:(id)sender
{
	[Prozessanzeige stopAnimation:self];
	[mySimulation stoppen:self];
	[TierListe reloadData];
	[TierlisteFenster makeKeyAndOrderFront:self];
	[AnzahlRunden setIntValue:[mySimulation ProzessZaehler]];
}

- (IBAction)Anzeigen:(id)sender
{
	[TierListe reloadData];
	[TierlisteFenster makeKeyAndOrderFront:self];
	[AnzahlRunden setIntValue:[mySimulation ProzessZaehler]];
}

- (IBAction)TiereAussetzen:(id)sender
{
	[Prozessanzeige stopAnimation:self];
	[mySimulation stoppen:self];

	[mySimulation TiereAussetzenSim:[AnzahlAussetzTiere intValue]];
	[TierListe reloadData];
}

- (IBAction)Website:(id)sender
{
    [[NSWorkspace sharedWorkspace] openURL:[NSURL URLWithString:@"http://evolution.naepflin.com"]];
}

- (IBAction)HTMLExport:(id)sender
{
	[Prozessanzeige stopAnimation:self];
	[mySimulation stoppen:self];
	[TierListe reloadData];
	//Hier sollte noch eine Funktion programmiert werden, die wartet, bis diese Runde der Simulation durch ist.
	[myHTMLExport Exportieren:self];
}

@end
